package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherThesisMapper;
import com.srs.teacher.domain.SysTeacherThesis;
import com.srs.teacher.service.ISysTeacherThesisService;

/**
 * thesisService业务层处理
 *
 * @author srs
 * @date 2024-06-29
 */
@Service
public class SysTeacherThesisServiceImpl extends ServiceImpl<SysTeacherThesisMapper,SysTeacherThesis> implements ISysTeacherThesisService {
    @Autowired
    private SysTeacherThesisMapper sysTeacherThesisMapper;

    /**
     * 查询thesis
     *
     * @param thesisId thesis主键
     * @return thesis
     */
    @Override
    public SysTeacherThesis selectSysTeacherThesisByThesisId(Long thesisId) {
        return sysTeacherThesisMapper.selectSysTeacherThesisByThesisId(thesisId);
    }

    /**
     * 查询thesis列表
     *
     * @param sysTeacherThesis thesis
     * @return thesis
     */
    @Override
    public List<SysTeacherThesis> selectSysTeacherThesisList(SysTeacherThesis sysTeacherThesis) {
        return sysTeacherThesisMapper.selectSysTeacherThesisList(sysTeacherThesis);
    }

    /**
     * 新增thesis
     *
     * @param sysTeacherThesis thesis
     * @return 结果
     */
    @Override
    public int insertSysTeacherThesis(SysTeacherThesis sysTeacherThesis) {
            return sysTeacherThesisMapper.insertSysTeacherThesis(sysTeacherThesis);
    }

    /**
     * 修改thesis
     *
     * @param sysTeacherThesis thesis
     * @return 结果
     */
    @Override
    public int updateSysTeacherThesis(SysTeacherThesis sysTeacherThesis) {
        return sysTeacherThesisMapper.updateSysTeacherThesis(sysTeacherThesis);
    }

    /**
     * 批量删除thesis
     *
     * @param thesisIds 需要删除的thesis主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherThesisByThesisIds(Long[] thesisIds) {
        return sysTeacherThesisMapper.deleteSysTeacherThesisByThesisIds(thesisIds);
    }

    /**
     * 删除thesis信息
     *
     * @param thesisId thesis主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherThesisByThesisId(Long thesisId) {
        return sysTeacherThesisMapper.deleteSysTeacherThesisByThesisId(thesisId);
    }
}
